From bb4d1fcd487ea6e145824a7644892b63aa952508 Mon Sep 17 00:00:00 2001
From: zubin <imzubin@localhost.localdomain>
Date: Jun 30 2019 13:52:22 +0000
Subject: [PATCH 3/18] commnts list


---

diff --git a/src/main.py b/src/main.py
index c6bf96b..72f6290 100644
--- a/src/main.py
+++ b/src/main.py
@@ -6,19 +6,29 @@ from PyQt5 import QtCore, QtGui, QtWidgets
 
 
 
-
+json_file = open("data/test.json","r")
+data = json.load(json_file)
+    
 
 def fetch_list():
-    with open("data/test.json") as json_file:
-            data = json.load(json_file)
-            for p in data['updates']:
-                ui.listWidget.addItem(p['title'])
+    for p in data['updates']:
+        ui.listWidget.addItem(p['title'])
 
+def populate_comments(t):
+    try:
+        for comments in t['comments']:
+            comment = QtWidgets.QTreeWidgetItem()
+            comment.setText(0, str(comments['id']))
+            comment.setText(1, str(comments['karma']))
+            comment.setText(2, str(comments['user']['name']))
+            comment.setText(3, str(comments['text']))
+            ui.treeWidget_comment.insertTopLevelItem(0,comment)
+    except:
+        pass 
 def selected():
-    with open("data/test.json") as json_file:
-            data = json.load(json_file)
-            t = ui.listWidget.selectedItems()
-            for p in data['updates']:
+    try:
+        t = ui.listWidget.selectedItems()
+        for p in data['updates']:
                 if p['title']== t[0].text():
                     ui.Package_name_main.setText(p['title'])
                     ui.Package_breif.setText(p['alias'])
@@ -27,22 +37,31 @@ def selected():
                     ui.Submit_user.setText(p['user']['name'])
                     ui.Request.setText(p['request'])
                     ui.Karma.setText(str(p['karma']))
+                    ui.Release_notes.setText(p['notes'])
+                    ui.treeWidget_comment.clear()
+                    populate_comments(p)
             
+    except:
+            pass #added this because clearing searchbar causes and index error TODO
 
-            
+def searching():
+    with open("data/test.json") as json_file:
+        data = json.load(json_file)
+        ui.listWidget.clear()
+        for p in data['updates']:
+            if str(ui.lineEdit.text()) in p['title']:
+                ui.listWidget.addItem(p['title'])
 
 
 if __name__ == "__main__":
-
     app = QtWidgets.QApplication(sys.argv)
     MainWindow = QtWidgets.QMainWindow()
     ui = Ui_MainWindow()
     ui.setupUi(MainWindow)
-    
-    
+
     fetch_list()
     ui.listWidget.itemSelectionChanged.connect(selected)
-    
+    ui.lineEdit.textEdited.connect(searching)
     
     MainWindow.show()
     sys.exit(app.exec_())
\ No newline at end of file
diff --git a/src/ui/MainWindow.ui b/src/ui/MainWindow.ui
index a3fc9a9..95e51f1 100644
--- a/src/ui/MainWindow.ui
+++ b/src/ui/MainWindow.ui
@@ -6,8 +6,8 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>791</width>
-    <height>698</height>
+    <width>1032</width>
+    <height>766</height>
    </rect>
   </property>
   <property name="mouseTracking">
@@ -36,8 +36,30 @@
        <enum>QFrame::Raised</enum>
       </property>
       <layout class="QGridLayout" name="gridLayout_2">
-       <item row="7" column="6">
-        <widget class="QLabel" name="Submitter_static">
+       <item row="8" column="3" colspan="7">
+        <widget class="QLabel" name="Release_notes">
+         <property name="text">
+          <string>TextLabel</string>
+         </property>
+        </widget>
+       </item>
+       <item row="6" column="3" colspan="4">
+        <widget class="QLabel" name="Package_name_main">
+         <property name="font">
+          <font>
+           <family>OpenSymbol</family>
+           <pointsize>22</pointsize>
+           <weight>50</weight>
+           <bold>false</bold>
+          </font>
+         </property>
+         <property name="text">
+          <string>Package Name</string>
+         </property>
+        </widget>
+       </item>
+       <item row="12" column="3">
+        <widget class="QLabel" name="Karma_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -53,51 +75,20 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Submitter</string>
+          <string>Karma</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="10" column="2" alignment="Qt::AlignHCenter">
-        <widget class="QRadioButton" name="radioButton_3">
-         <property name="text">
-          <string/>
-         </property>
-        </widget>
-       </item>
-       <item row="10" column="6" alignment="Qt::AlignHCenter">
-        <widget class="QRadioButton" name="radioButton_2">
-         <property name="text">
-          <string/>
-         </property>
-        </widget>
-       </item>
-       <item row="8" column="2">
-        <widget class="QListWidget" name="listWidget_2"/>
-       </item>
-       <item row="11" column="2" alignment="Qt::AlignHCenter">
-        <widget class="QRadioButton" name="radioButton_4">
-         <property name="text">
-          <string/>
-         </property>
-        </widget>
-       </item>
-       <item row="11" column="3" alignment="Qt::AlignHCenter">
-        <widget class="QRadioButton" name="radioButton">
-         <property name="text">
-          <string/>
-         </property>
-        </widget>
-       </item>
-       <item row="7" column="7">
-        <widget class="QLabel" name="Submit_user">
+       <item row="9" column="3">
+        <widget class="QLabel" name="Release_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>50</weight>
-           <bold>false</bold>
+           <weight>75</weight>
+           <bold>true</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -108,22 +99,15 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Username</string>
+          <string>Release</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
-         </property>
-        </widget>
-       </item>
-       <item row="10" column="3" alignment="Qt::AlignHCenter|Qt::AlignVCenter">
-        <widget class="QRadioButton" name="radioButton_6">
-         <property name="text">
-          <string/>
+          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="5" column="2">
-        <widget class="QLabel" name="Release_static">
+       <item row="10" column="3">
+        <widget class="QLabel" name="Date_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -139,50 +123,102 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Release</string>
+          <string>date submitted</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="12" column="3">
+       <item row="7" column="3">
+        <widget class="QLabel" name="Package_breif">
+         <property name="font">
+          <font>
+           <family>OpenSymbol</family>
+           <pointsize>12</pointsize>
+           <weight>50</weight>
+           <bold>false</bold>
+          </font>
+         </property>
+         <property name="text">
+          <string>breif</string>
+         </property>
+        </widget>
+       </item>
+       <item row="23" column="6" colspan="2">
         <widget class="QPushButton" name="pushButton">
          <property name="text">
           <string>Submit</string>
          </property>
         </widget>
        </item>
-       <item row="5" column="6">
-        <widget class="QLabel" name="Status_static">
-         <property name="font">
-          <font>
-           <family>OpenSymbol</family>
-           <weight>75</weight>
-           <bold>true</bold>
-           <kerning>true</kerning>
-          </font>
-         </property>
-         <property name="cursor">
-          <cursorShape>ArrowCursor</cursorShape>
+       <item row="4" column="3">
+        <widget class="QGraphicsView" name="UpdateType">
+         <property name="maximumSize">
+          <size>
+           <width>32</width>
+           <height>32</height>
+          </size>
          </property>
-         <property name="layoutDirection">
-          <enum>Qt::LeftToRight</enum>
+        </widget>
+       </item>
+       <item row="15" column="3" colspan="7">
+        <widget class="QTextEdit" name="textEdit">
+         <property name="maximumSize">
+          <size>
+           <width>16777215</width>
+           <height>100</height>
+          </size>
          </property>
-         <property name="text">
-          <string>Status</string>
+        </widget>
+       </item>
+       <item row="14" column="3" colspan="2">
+        <widget class="QListWidget" name="listWidget_3">
+         <property name="maximumSize">
+          <size>
+           <width>400</width>
+           <height>16777215</height>
+          </size>
          </property>
-         <property name="alignment">
-          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+        </widget>
+       </item>
+       <item row="23" column="3">
+        <widget class="QComboBox" name="comboBox">
+         <property name="currentText">
+          <string>0</string>
          </property>
+         <property name="currentIndex">
+          <number>1</number>
+         </property>
+         <item>
+          <property name="text">
+           <string>-1</string>
+          </property>
+         </item>
+         <item>
+          <property name="text">
+           <string>0</string>
+          </property>
+         </item>
+         <item>
+          <property name="text">
+           <string>+1</string>
+          </property>
+         </item>
         </widget>
        </item>
-       <item row="0" column="0" rowspan="12">
+       <item row="0" column="0" rowspan="24">
         <widget class="QFrame" name="frame_2">
          <property name="minimumSize">
           <size>
-           <width>200</width>
-           <height>0</height>
+           <width>300</width>
+           <height>600</height>
+          </size>
+         </property>
+         <property name="maximumSize">
+          <size>
+           <width>300</width>
+           <height>16777215</height>
           </size>
          </property>
          <property name="frameShape">
@@ -201,8 +237,32 @@
          </layout>
         </widget>
        </item>
-       <item row="5" column="7">
-        <widget class="QLabel" name="Status">
+       <item row="14" column="5" colspan="5">
+        <widget class="QTreeWidget" name="treeWidget_comment">
+         <column>
+          <property name="text">
+           <string>#</string>
+          </property>
+         </column>
+         <column>
+          <property name="text">
+           <string>karma</string>
+          </property>
+         </column>
+         <column>
+          <property name="text">
+           <string>user</string>
+          </property>
+         </column>
+         <column>
+          <property name="text">
+           <string>comment</string>
+          </property>
+         </column>
+        </widget>
+       </item>
+       <item row="9" column="4">
+        <widget class="QLabel" name="Release">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -218,20 +278,20 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Testing</string>
+          <string>F30</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="7" column="2">
-        <widget class="QLabel" name="Karma_static">
+       <item row="10" column="4">
+        <widget class="QLabel" name="Date_submitted">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>75</weight>
-           <bold>true</bold>
+           <weight>50</weight>
+           <bold>false</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -242,15 +302,15 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Karma</string>
+          <string>xxx Days</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="6" column="7">
-        <widget class="QLabel" name="Request">
+       <item row="12" column="4">
+        <widget class="QLabel" name="Karma">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -266,62 +326,15 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>---</string>
+          <string>0</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="4" column="2">
-        <widget class="QLabel" name="Release_notes">
-         <property name="font">
-          <font>
-           <family>OpenSymbol</family>
-           <pointsize>14</pointsize>
-           <weight>50</weight>
-           <bold>false</bold>
-          </font>
-         </property>
-         <property name="text">
-          <string>Release_notes</string>
-         </property>
-        </widget>
-       </item>
-       <item row="1" column="1">
-        <widget class="QGraphicsView" name="UpdateType">
-         <property name="maximumSize">
-          <size>
-           <width>32</width>
-           <height>32</height>
-          </size>
-         </property>
-        </widget>
-       </item>
-       <item row="1" column="2" colspan="3">
-        <widget class="QLabel" name="Package_name_main">
-         <property name="font">
-          <font>
-           <family>OpenSymbol</family>
-           <pointsize>22</pointsize>
-           <weight>50</weight>
-           <bold>false</bold>
-          </font>
-         </property>
-         <property name="text">
-          <string>Package Name</string>
-         </property>
-        </widget>
-       </item>
-       <item row="11" column="6" alignment="Qt::AlignHCenter|Qt::AlignVCenter">
-        <widget class="QRadioButton" name="radioButton_5">
-         <property name="text">
-          <string/>
-         </property>
-        </widget>
-       </item>
-       <item row="6" column="2">
-        <widget class="QLabel" name="Date_static">
+       <item row="12" column="5">
+        <widget class="QLabel" name="Submitter_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -337,14 +350,14 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>date submitted</string>
+          <string>Submitter</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="6" column="6">
+       <item row="10" column="5">
         <widget class="QLabel" name="Request_static">
          <property name="font">
           <font>
@@ -368,31 +381,37 @@
          </property>
         </widget>
        </item>
-       <item row="9" column="2" colspan="6">
-        <widget class="QTextEdit" name="textEdit_2"/>
-       </item>
-       <item row="3" column="2">
-        <widget class="QLabel" name="Package_breif">
+       <item row="12" column="6">
+        <widget class="QLabel" name="Submit_user">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <pointsize>12</pointsize>
            <weight>50</weight>
            <bold>false</bold>
+           <kerning>true</kerning>
           </font>
          </property>
+         <property name="cursor">
+          <cursorShape>ArrowCursor</cursorShape>
+         </property>
+         <property name="layoutDirection">
+          <enum>Qt::LeftToRight</enum>
+         </property>
          <property name="text">
-          <string>breif</string>
+          <string>Username</string>
+         </property>
+         <property name="alignment">
+          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="5" column="3">
-        <widget class="QLabel" name="Release">
+       <item row="9" column="5">
+        <widget class="QLabel" name="Status_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>50</weight>
-           <bold>false</bold>
+           <weight>75</weight>
+           <bold>true</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -403,15 +422,15 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>F30</string>
+          <string>Status</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
+          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="6" column="3">
-        <widget class="QLabel" name="Date_submitted">
+       <item row="9" column="6">
+        <widget class="QLabel" name="Status">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -427,15 +446,15 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>xxx Days</string>
+          <string>Testing</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="7" column="3">
-        <widget class="QLabel" name="Karma">
+       <item row="10" column="6">
+        <widget class="QLabel" name="Request">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -451,7 +470,7 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>0</string>
+          <string/>
          </property>
          <property name="alignment">
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
@@ -459,32 +478,28 @@
         </widget>
        </item>
       </layout>
-      <zorder>Release_static</zorder>
-      <zorder>Date_static</zorder>
       <zorder>Karma_static</zorder>
-      <zorder>Status_static</zorder>
-      <zorder>Submitter_static</zorder>
-      <zorder>Request_static</zorder>
-      <zorder>textEdit_2</zorder>
-      <zorder>radioButton_2</zorder>
-      <zorder>radioButton_5</zorder>
-      <zorder>Status</zorder>
-      <zorder>Request</zorder>
-      <zorder>Submit_user</zorder>
       <zorder>frame_2</zorder>
-      <zorder>listWidget_2</zorder>
       <zorder>Package_breif</zorder>
-      <zorder>Release_notes</zorder>
+      <zorder>textEdit</zorder>
+      <zorder>listWidget_3</zorder>
+      <zorder>UpdateType</zorder>
       <zorder>Package_name_main</zorder>
-      <zorder>radioButton</zorder>
-      <zorder>radioButton_6</zorder>
-      <zorder>radioButton_3</zorder>
-      <zorder>radioButton_4</zorder>
+      <zorder>Release_static</zorder>
+      <zorder>Date_static</zorder>
+      <zorder>comboBox</zorder>
       <zorder>pushButton</zorder>
-      <zorder>UpdateType</zorder>
+      <zorder>Release_notes</zorder>
+      <zorder>treeWidget_comment</zorder>
       <zorder>Release</zorder>
       <zorder>Date_submitted</zorder>
       <zorder>Karma</zorder>
+      <zorder>Submitter_static</zorder>
+      <zorder>Request_static</zorder>
+      <zorder>Submit_user</zorder>
+      <zorder>Status_static</zorder>
+      <zorder>Status</zorder>
+      <zorder>Request</zorder>
      </widget>
     </item>
     <item row="0" column="1">
